## org.apache.mahout.math.map
Class OpenShortDoubleHashMap.MapElement

    java.lang.Object
      org.apache.mahout.math.map.OpenShortDoubleHashMap.MapElement

Enclosing class:
  OpenShortDoubleHashMap

    public final class OpenShortDoubleHashMap.MapElement

extends Object

Constructor Summary
`OpenShortDoubleHashMap.MapElement()`

Method Summary
`double` `get()`
`short` `index()`
`void` `set(double value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenShortDoubleHashMap.MapElement

    public OpenShortDoubleHashMap.MapElement()

Method Detail

### get

    public double get()

### index

    public short index()

### set

    public void set(double value)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.